## django-cors-headers 2.1.0+github

=== requirements.txt ===
#
# This file is autogenerated by pip-compile
# To update, run:
#
#    pip-compile --output-file requirements.txt requirements.in
#
appdirs==1.4.3            # via setuptools
configparser==3.5.0       # via flake8
coverage==4.4.1           # via pytest-cov
docutils==0.13.1
enum34==1.1.6             # via flake8
flake8==3.3.0
isort==4.2.5
mccabe==0.6.1             # via flake8
multilint==2.0.2
packaging==16.8           # via setuptools
py==1.4.33                # via pytest
pycodestyle==2.3.1        # via flake8
pyflakes==1.5.0           # via flake8
pygments==2.2.0
pyparsing==2.2.0          # via packaging
pytest-cov==2.5.1
pytest-django==3.1.2
pytest==3.1.0
pytz==2017.2
six==1.10.0               # via packaging, setuptools

# The following packages are considered to be unsafe in a requirements file:
# setuptools                # via pytest

## django-cors-headers 1.1.0

=== debian/changelog ===
django-cors-headers (1.1.0-1) unstable; urgency=low

  * Initial upload. Closes: #794829.

 -- Brian May <bam@debian.org>  Fri, 07 Aug 2015 11:42:16 +1000

=== debian/control ===
Source: django-cors-headers
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Brian May <bam@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9), dh-python,
    python-setuptools (>= 0.6b3), python-mock, python-django, python-all (>= 2.6.6-3),
    python3-setuptools (>= 0.6b3), python3-mock, python3-django, python3-all
Standards-Version: 3.9.6
Homepage: https://github.com/ottoyiu/django-cors-headers
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/django-cors-headers/trunk/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/django-cors-headers/trunk/

Package: python-django-cors-headers
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Django application for handling CORS.
 A Django application for handling the server headers required for Cross-Origin
 Resource Sharing (CORS).
 .
 This package contains the Python 2 version.

Package: python3-django-cors-headers
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Django application for handling CORS.
 A Django application for handling the server headers required for Cross-Origin
 Resource Sharing (CORS).
 .
 This package contains the Python 3 version.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=django-cors-headers
%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="{interpreter} $(CURDIR)/debian/run_tests.py" \
	dh_auto_test

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/django-cors-headers/django-cors-headers-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## django-cors-headers 2.1.0+github

=== debian/changelog ===
django-cors-headers (2.1.0+github-2) unstable; urgency=medium

  * Fix Python3 depends. Closes: #867399.

 -- Brian May <bam@debian.org>  Fri, 07 Jul 2017 17:40:00 +1000

django-cors-headers (2.1.0+github-1) unstable; urgency=medium

  * New upstream version.

 -- Brian May <bam@debian.org>  Thu, 06 Jul 2017 16:50:28 +1000

django-cors-headers (1.1.0-2) unstable; urgency=medium

  * Add patch to fix Django 1.10 support. Closes: #854716.
  * Update Vcs-* headers for git repository.
  * disable_broken_tests.patch regenerated from git-dpm but unchanged.

 -- Brian May <bam@debian.org>  Sat, 11 Feb 2017 08:34:43 +1100

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,13 @@
 Priority: optional
 Build-Depends: debhelper (>= 9), dh-python,
     python-setuptools (>= 0.6b3), python-mock, python-django, python-all (>= 2.6.6-3),
-    python3-setuptools (>= 0.6b3), python3-mock, python3-django, python3-all
-Standards-Version: 3.9.6
+    python-pytest, python-pytest-cov, python-pytest-django,
+    python3-setuptools (>= 0.6b3), python3-mock, python3-django, python3-all,
+    python3-pytest, python3-pytest-cov, python3-pytest-django,
+Standards-Version: 4.0.0
 Homepage: https://github.com/ottoyiu/django-cors-headers
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/django-cors-headers/trunk/
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/django-cors-headers/trunk/
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-cors-headers.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/django-cors-headers.git
 
 Package: python-django-cors-headers
 Architecture: all
@@ -22,7 +24,7 @@
 
 Package: python3-django-cors-headers
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}
 Description: Django application for handling CORS.
  A Django application for handling the server headers required for Cross-Origin
  Resource Sharing (CORS).

=== debian/rules ===
--- 
+++ 
@@ -6,5 +6,5 @@
 
 override_dh_auto_test:
 	PYBUILD_SYSTEM=custom \
-	PYBUILD_TEST_ARGS="{interpreter} $(CURDIR)/debian/run_tests.py" \
+	PYBUILD_TEST_ARGS="{interpreter} $(CURDIR)/runtests.py" \
 	dh_auto_test

## django-cors-headers 2.2.0

=== requirements.txt ===
#
# This file is autogenerated by pip-compile
# To update, run:
#
#    pip-compile --output-file requirements.txt requirements.in
#
attrs==17.4.0             # via pytest
configparser==3.5.0       # via flake8
coverage==4.5.1           # via pytest-cov
docutils==0.14
enum34==1.1.6             # via flake8
flake8==3.5.0
funcsigs==1.0.2           # via pytest
futures==3.1.1
isort==4.3.4
mccabe==0.6.1             # via flake8
modernize==0.6
multilint==2.2.0
pluggy==0.6.0             # via pytest
py==1.5.2                 # via pytest
pycodestyle==2.3.1        # via flake8
pyflakes==1.6.0           # via flake8
pygments==2.2.0
pytest-cov==2.5.1
pytest-django==3.1.2
pytest==3.4.1
pytz==2018.3
six==1.11.0               # via pytest

=== debian/changelog ===
django-cors-headers (2.2.0-2) unstable; urgency=medium

  * Team upload.
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support.

 -- Ondřej Nový <onovy@debian.org>  Wed, 31 Jul 2019 10:14:39 +0200

django-cors-headers (2.2.0-1) unstable; urgency=medium

  * New upstream version.

 -- Brian May <bam@debian.org>  Fri, 27 Apr 2018 07:52:21 +1000

django-cors-headers (2.1.0+github-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ Brian May ]
  * Add depends on python-django and python3-django. Closes: #896419.

 -- Brian May <bam@debian.org>  Tue, 24 Apr 2018 08:08:46 +1000

=== debian/control ===
Source: django-cors-headers
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Brian May <bam@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 9), dh-python,
    python3-setuptools (>= 0.6b3), python3-mock, python3-django, python3-all,
    python3-pytest, python3-pytest-cov, python3-pytest-django,
Standards-Version: 4.0.0
Homepage: https://github.com/ottoyiu/django-cors-headers
Vcs-Browser: https://salsa.debian.org/python-team/modules/django-cors-headers
Vcs-Git: https://salsa.debian.org/python-team/modules/django-cors-headers.git

Package: python3-django-cors-headers
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-django
Description: Django application for handling CORS.
 A Django application for handling the server headers required for Cross-Origin
 Resource Sharing (CORS).
 .
 This package contains the Python 3 version.

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 export PYBUILD_NAME=django-cors-headers
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_test:
 	PYBUILD_SYSTEM=custom \

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/django-cors-headers-$1\.tar\.gz/ \
  https://github.com/ottoyiu/django-cors-headers/tags .*/v?(\d\S+)\.tar\.gz

## django-cors-headers 3.11.0

=== debian/changelog ===
django-cors-headers (3.11.0-1) unstable; urgency=medium

  * Team upload
  * [3a47068] New upstream version 3.11.0
  * [c802c27] Revert "d/control: Change B-D on python3-all to python3-all:any"
  * [806bc5f] autopkgtest: Run test for all python versions

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 15 Jan 2022 10:35:16 +0100

django-cors-headers (3.10.1-1) unstable; urgency=medium

  * Team upload
  * [fa9609c] New upstream version 3.10.1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 09 Dec 2021 17:53:06 +0100

django-cors-headers (3.10.0-1) unstable; urgency=medium

  * Team upload
  * [9fd628c] New upstream version 3.10.0
  * [600f40d] d/control: Change B-D on python3-all to python3-all:any

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 14 Oct 2021 19:41:56 +0200

django-cors-headers (3.9.0-2) unstable; urgency=medium

  * [b7e5607] autopkgtest: Adjust and extend the setup

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 03 Oct 2021 14:41:58 +0200

django-cors-headers (3.9.0-1) unstable; urgency=medium

  * Team upload
  * [c2ba132] New upstream version 3.9.0
  * [5d86d91] autopkgtest: Add basic test setup

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 02 Oct 2021 17:06:22 +0200

django-cors-headers (3.8.0-1) unstable; urgency=medium

  * Team upload
  * [2c6fb8c] New upstream version 3.8.0
  * [0605434] d/control: Update Standards-Version to 4.6.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 26 Aug 2021 20:27:57 +0200

django-cors-headers (3.7.0-1~exp1) experimental; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Carsten Schoenert ]
  * [46b26a9] d/gbp.conf: Add some more defaults
  * [216f16d] New upstream version 3.7.0
    (Closes: #961068)
  * [d424292] d/watch: Update to version 4
  * [45efa04] d/control: Run wrap-and-sort -ast
  * [9d287aa] d/control: Bump debhelper version to 13
    No further changes needed.
  * [104805c] d/control: Update Standards-Version to 4.5.1
    No further changes needed.
  * [2528a52] d/control: Adding entry Rules-Requires-Root: no
  * [1e9e2fc] d/copyright: Update content
  * [06df701] d/control: Small rework of package description
  * [54977b2] d/control: Remove no longer needed Build-Depends
  * [7ed906a] d/control: Update Homepage contact
    The resource on GitHub has moved to
     https://github.com/adamchainz/django-cors-headers
  * [706b006] d/rules: Remove customized handling of tests
  * [4bd25c3] d/s/metadata: Update homepage URL data
    Also update the homepage related data within the metadata.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 13 Jun 2021 10:14:07 +0200

=== debian/control ===
Source: django-cors-headers
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Brian May <bam@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-django,
 python3-pytest,
 python3-pytest-django,
 python3-setuptools (>= 0.6b3),
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://github.com/adamchainz/django-cors-headers
Vcs-Browser: https://salsa.debian.org/python-team/packages/django-cors-headers
Vcs-Git: https://salsa.debian.org/python-team/packages/django-cors-headers.git

Package: python3-django-cors-headers
Architecture: all
Depends:
 python3-django,
 ${misc:Depends},
 ${python3:Depends},
Description: Django application for handling CORS
 A Django application for handling the server headers required for Cross-Origin
 Resource Sharing (CORS). Adding CORS headers allows your resources to be
 accessed on other domains.
 .
 This package contains the Python 3 version.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

export PYBUILD_NAME=django-cors-headers

%:
	dh $@ --with python3 --buildsystem=pybuild

## django-cors-headers 3.12.0

=== debian/changelog ===
django-cors-headers (3.12.0-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * [f05cd7d] Remove constraints unnecessary since buster
  * [dd5bfe5] Set upstream metadata fields: Security-Contact.

  [ Carsten Schoenert ]
  * [4fcae21] New upstream version 3.12.0
  * [8457f82] d/control: Update Standards-Version to 4.6.1
    No further changes needed.
  * [422dfc4] d/{control,rules}: Switch over to pyproject system

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 16 May 2022 18:20:27 +0200

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,14 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-django,
+ python3-poetry,
  python3-pytest,
  python3-pytest-django,
- python3-setuptools (>= 0.6b3),
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/adamchainz/django-cors-headers
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-cors-headers
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-cors-headers.git

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 #export DH_VERBOSE = 1
 
 export PYBUILD_NAME=django-cors-headers
+export PYBUILD_SYSTEM=pyproject
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild

## django-cors-headers 3.13.0

=== debian/changelog ===
django-cors-headers (3.13.0-1) unstable; urgency=medium

  * Team upload
  * [ae52c9a] New upstream version 3.13.0
  * [f58e3b7] d/control: Add setuptools to B-D (Closes: #1020062)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 27 Sep 2022 05:57:09 +0200

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
  python3-poetry,
  python3-pytest,
  python3-pytest-django,
+ python3-setuptools,
 Rules-Requires-Root: no
 Standards-Version: 4.6.1
 Homepage: https://github.com/adamchainz/django-cors-headers

## django-cors-headers 3.14.0

=== debian/changelog ===
django-cors-headers (3.14.0-1) unstable; urgency=medium

  * Team upload
  * [a4b05b7] New upstream version 3.14.0
  * [888117d] d/control: Increase Standards-Version to 4.6.2
    No further modifications needed.
  * [3c26af0] d/control: Add BuildProfileSpecs
  * [bb1e836] d/rules: Drop --with option in default target
  * [ff9ab1c] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 26 Feb 2023 08:57:07 +0100

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,15 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
- python3-django,
- python3-poetry,
- python3-pytest,
- python3-pytest-django,
+ python3-django <!nocheck>,
+ python3-pytest <!nocheck>,
+ python3-pytest-django <!nocheck>,
  python3-setuptools,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/adamchainz/django-cors-headers
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-cors-headers
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-cors-headers.git

=== debian/tests/control ===
Tests: smoke
Depends:
 @,
 python3-all,
 python3-django,
 python3-pytest,
 python3-pytest-django,
Restrictions: allow-stderr

## django-cors-headers 4.0.0

=== debian/changelog ===
django-cors-headers (4.0.0-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 18 Jun 2023 10:37:26 +0200

django-cors-headers (4.0.0-1) experimental; urgency=medium

  * Team upload
  * [8141efe] New upstream version 4.0.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 25 May 2023 17:09:08 +0200

## django-cors-headers 4.3.1

=== debian/changelog ===
django-cors-headers (4.3.1-1) unstable; urgency=medium

  * Team upload
  * [f60aa20] New upstream version 4.3.1
  * [09f36f9] d/control: Drop manual dep on python3-django in bin pkg
  * [306fb6e] autopkgttest: Remove file .pytest_cache before test call

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 10 Dec 2023 07:14:21 +0100

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,6 @@
 Package: python3-django-cors-headers
 Architecture: all
 Depends:
- python3-django,
  ${misc:Depends},
  ${python3:Depends},
 Description: Django application for handling CORS

=== debian/watch ===
# watch file for django-cors-headers

version=4

opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/django-cors-headers-$1\.tar\.gz/ \
     https://github.com/adamchainz/django-cors-headers/tags .*/v?(\d\S+)\.tar\.gz

## django-cors-headers 4.4.0

=== debian/changelog ===
django-cors-headers (4.4.0-1) unstable; urgency=medium

  * [5b3b2c1] New upstream version 4.4.0
  * [79c2767] d/control: Bump Standards-Version to 4.7.0
    No further modifications needed.
  * [dc2b54a] d/control: Add myself to Uploaders

 -- Kathara Sasikumar <katharasasikumar007@gmail.com>  Sat, 29 Jun 2024 22:32:45 +0530

## django-cors-headers 4.6.0

=== debian/changelog ===
django-cors-headers (4.6.0-1) unstable; urgency=medium

  * [7287849] New upstream version 4.6.0

 -- Kathara Sasikumar <katharasasikumar007@gmail.com>  Sat, 21 Dec 2024 18:18:50 +0530

## django-cors-headers 4.7.0

=== debian/changelog ===
django-cors-headers (4.7.0-1) unstable; urgency=medium

  * [cf611c1] New upstream version 4.7.0

 -- Kathara Sasikumar <katharasasikumar007@gmail.com>  Sat, 15 Feb 2025 15:55:13 +0530

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Brian May <bam@debian.org>,
+ Kathara Sasikumar <katharasasikumar007@gmail.com>,
 Section: python
 Priority: optional
 Build-Depends:
@@ -14,7 +15,7 @@
  python3-pytest-django <!nocheck>,
  python3-setuptools,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/adamchainz/django-cors-headers
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-cors-headers
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-cors-headers.git

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,4 @@
 export PYBUILD_SYSTEM=pyproject
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
